Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026967
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2014-06-30 10:192014-08-08 18:52
ReporteralostaleView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchFixed in SCM revision4146f2fbbf82
ProjectionnoneETAnoneTarget Version3.0PR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026967: Grids in Process Definition count number of records

DescriptionGrids in Process Definition invoke getCount method which can cause performance issues if the dataset is big enough.
Steps To ReproduceFollow steps defined in issue 0026868
Proposed SolutionThese grids should behave in the same manner standard windows grids do: total number of records is not counted, in case they exceed the page size, page size +1 is returned as size.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00268683.0PR14Q4 closedAugustoMauch The getCount method of the ManageVariantsDS datasource computes all the records to get the total 

-  Notes
(0068574)
hgbot (developer)
2014-07-09 18:10

Repository: erp/devel/pi
Changeset: 4146f2fbbf827f7bf021b62e61a28507a7e81907
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Wed Jul 09 14:44:15 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/4146f2fbbf827f7bf021b62e61a28507a7e81907 [^]

Fixes Issue 26967: Grids in Process Definition count number of records

The pick and execute grids behave in the same manner standard windows grids do.
Total number of records is not counted, in case they exceed the page size,
page size +1 is returned as size, so that smartclient handles the additional call while scrolling.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0068604)
AugustoMauch (developer)
2014-07-14 10:32

Code reviewed and verified in pi@119c05bb76af
(0069148)
hudsonbot (developer)
2014-08-08 18:52

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-06-30 10:19 alostale New Issue
2014-06-30 10:19 alostale Assigned To => AugustoMauch
2014-06-30 10:19 alostale Modules => Core
2014-06-30 10:19 alostale Triggers an Emergency Pack => No
2014-06-30 10:19 alostale Relationship added related to 0026868
2014-06-30 10:20 alostale Tag Attached: Performance
2014-07-09 11:26 shankarb Review Assigned To => AugustoMauch
2014-07-09 18:07 shankarb Issue Monitored: AugustoMauch
2014-07-09 18:10 hgbot Checkin
2014-07-09 18:10 hgbot Note Added: 0068574
2014-07-09 18:10 hgbot Status new => resolved
2014-07-09 18:10 hgbot Resolution open => fixed
2014-07-09 18:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4146f2fbbf827f7bf021b62e61a28507a7e81907 [^]
2014-07-14 10:32 AugustoMauch Note Added: 0068604
2014-07-14 10:32 AugustoMauch Status resolved => closed
2014-07-14 10:32 AugustoMauch Fixed in Version => PR14Q4
2014-08-08 18:52 hudsonbot Checkin
2014-08-08 18:52 hudsonbot Note Added: 0069148


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker